# This module is part of the Quotient project and is Copyright 2003 Divmod:
# http://www.divmod.org/.  This is free software.  You can redistribute it
# and/or modify it under the terms of version 2.1 of the GNU Lesser General
# Public License as published by the Free Software Foundation.

from atop import peerup
from atop import powerup
from atop.test import unittest

class PeerTest(unittest.TestCase):
    storePowerups = (peerup.PeerStoreup,)

    def dbSetUp(self):
        self.peerup = peerup.IPeerUp(self.store)

    def dbtestIDAllocation(self):
        ids = {}
        for i in xrange(10000):
            id = self.peerup.allocateStoreID()
            self.failIf(id in ids)
            ids[id] = True
        self.assertEquals(len(ids), 10000)
