# This module is part of the Quotient project and is Copyright 2003 Divmod:
# http://www.divmod.org/.  This is free software.  You can redistribute it
# and/or modify it under the terms of version 2.1 of the GNU Lesser General
# Public License as published by the Free Software Foundation.

from quotient.note import Note
from atop.test import unittest

class TestNote(unittest.TestCase):
    def testNoteCreation(self):
        def _():
            n = Note(self.store,
                     'Name',
                     'Summary',
                     'Text')
            return n
        newNote = self.store.transact(_)
        self.assertEquals(newNote.text, 'Text')
    
