def iterFilePaths():
    import os, os.path as osp
    from os.path import join as opj
    from quotient.test.testdata import ascii
    mypath = osp.dirname(ascii.__file__)
    for f in os.listdir(mypath):
        if f.startswith('.') or f.endswith('.py') or f.endswith('.pyc') or f.endswith('~'):
            continue
        yield opj(mypath, f)


def iterMessages():
    for f in iterFilePaths():
        s = file(f, 'r').read()
        yield s


def iterWords():
    from email.Parser import Parser
    p = Parser()
    for fp in [file(f, 'r') for f in iterFilePaths()]:
        msg = p.parse(fp).get_payload()
        fp.close()
        for line in msg.split('/r/n'):
            for word in line.split():
                yield word
    


