
from atop import store
from atop import credup

from quotient.proto import smtpout

def freezeOutbound(avatar):
    count = 0
    deliv = smtpout.IOutgoingMail(avatar).delivRef.getItem()
    for msg in deliv.queryIndex():
        msg.unschedule()
        count += 1
    return count

def freezeAll(store):
    count = 0
    for a in credup.ICredentialsChecker(store):
        count += freezeOutbound(a)
    return count

def main():
    s = store.Store('data/db', 'data/files')
    try:
        frozen = s.transact(freezeAll)x
    finally:
        s.close()
    print 'Froze', frozen, 'messages.'

if __name__ == '__main__':
    main()

    