
"""
Takes input in the form dups.py outputs and emits pseudo-code for
deleting the incorrect duplicates from a database.
"""

import fileinput

from atop import store

def parseKeyList(lines):
    # XXX
    # Okay, this is a sucky way to pass bytes around
    # Improve it later
    items = {}
    for keyValue in lines:
        key, value = eval(keyValue)
        storeID = int(key[1])
        items.setdefault((storeID, value), []).append(list(key))
    return items

_novalue = object()
def deduplicate(st, items):
    for ((storeID, subStoreID), keys) in items.iteritems():
        item = st.getItemByID(storeID)
        if isinstance(item, store.SubStore):
            item = item.getItemByID(subStoreID)
        else:
            item = st.getItemByID(subStoreID)
        for k in keys:
            kopy = list(k)
            pool = st.getItemByID(int(k[1]))
            if isinstance(pool, store.SubStore):
                pool = pool.getItemByID(int(k[2]))
                del k[2]
            idxName = k[3]
            idxValue = k[4]
            realValue = item.getIndexKey(pool, idxName, _novalue)
            if realValue is _novalue:
                continue
            if realValue != pool.indexes[idxName].sortableStringToKey(idxValue):
                print 'db.delete(%r)' % (store.SEP.join(kopy),)
            else:
                print '# Leaving', repr(store.SEP.join(kopy))

def main():
    duplicated = parseKeyList(fileinput.input())
    if not duplicated:
        return
    st = store.Store('../data/db', '../data/files')
    try:
        deduplicate(st, duplicated)
    finally:
        st.close()

if __name__ == '__main__':
    main()
